com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeF

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeF

- All Implemented Interfaces:
    AreaSizeFType, AreaSizeValuesFType

      @Generated(value={"Immutables.generator","AreaSizeFType"})
      public final class AreaSizeF
      extends Object
      implements AreaSizeFType

  The size of an area with `float` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaSizeF.Builder` Builds instances of type `AreaSizeF`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AreaSizeF.Builder` | `builder()` Creates a builder for `AreaSizeF`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaSizeF` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `sizeX`, `sizeY`.
    `float` | `height()` Deprecated. Use `sizeY()`
    `static AreaSizeF` | `of(float sizeX, float sizeY)` Construct a new immutable `AreaSizeF` instance.
    `float` | `sizeX()`
    `float` | `sizeY()`
    `String` | `toString()` Prints the immutable value `AreaSizeF` with attribute values.
    `float` | `width()` Deprecated. Use `sizeX()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeFType

      `checkPreconditions`

- - ### Method Detail

    - #### sizeX

          public float sizeX()

      Specified by:
        `sizeX` in interface `AreaSizeFType`
      Specified by:
        `sizeX` in interface `AreaSizeValuesFType`
      Returns:
        The value of the `sizeX` attribute

    - #### sizeY

          public float sizeY()

      Specified by:
        `sizeY` in interface `AreaSizeFType`
      Specified by:
        `sizeY` in interface `AreaSizeValuesFType`
      Returns:
        The value of the `sizeY` attribute

    - #### width

          @Deprecated
          public float width()

      Deprecated. Use `sizeX()`
      Specified by:
        `width` in interface `AreaSizeValuesFType`
      Returns:
        The width of the area

    - #### height

          @Deprecated
          public float height()

      Deprecated. Use `sizeY()`
      Specified by:
        `height` in interface `AreaSizeValuesFType`
      Returns:
        The height of the area

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaSizeF` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `sizeX`, `sizeY`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaSizeF` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static AreaSizeF of(float sizeX,
                                     float sizeY)

      Construct a new immutable `AreaSizeF` instance.
      Parameters:
        `sizeX` - The value for the `sizeX` attribute
        `sizeY` - The value for the `sizeY` attribute
      Returns:
        An immutable AreaSizeF instance

    - #### builder

          public static AreaSizeF.Builder builder()

      Creates a builder for `AreaSizeF`.
      Returns:
        A new AreaSizeF builder

Copyright © 2017 <code@io7m.com> http://io7m.com